Subject: Re: [OPSAWG] [IPFIX] errata eid7775 RE: [**EXTERNAL**] RE: WG LC: IPFIX documents

From: Benoit Claise <[email-masked]>
Date: Mon, 5 Feb 2024 18:36:45 +0100

Hi Paul,

On 1/23/2024 12:14 PM, [email-masked] wrote:
>
>         4.3. forwardingStatus
>
>         In particular, the registered Abstract
>        Data Type is unsigned8, while it must be unsigned32.
>
>     Why must it be?
>
>     */[Med] As per the definition in RFC7270./*
>
>
> I've opened an errata for that: https://www.rfc-editor.org/errata/eid7775
>
> */[Med] I don’ think an erratum applies here because the intent of 
> 7270 is clearly unsigned32:/*
>
>
While you and I were working on NetFlow at Cisco when we wrote the RFC 
7270, I don't feel comfortable having an errata on a Cisco-specific IPFIX.
Anyway, what is the issue with keeping unsigned32, should we be liberal 
in what we accept?
And we know that the reduced-size encoding 
(https://datatracker.ietf.org/doc/html/rfc7011.html#section-6.2) will be 
used anyway. It's not even useful to have this sentence ("
IPFIX reduced-size encoding is used as required") in the description but 
I can live with it.

Regards, Benoit